%global pypi_name pasta

Name:           python-%{pypi_name}
Version:        0.2.0
Release:        2%{?dist}
Summary:        Python AST Augmentation
License:        Apache 2.0
URL:            https://github.com/google/pasta
Source0:        %{pypi_source}

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%description
Library to refactor python code through AST manipulation.
%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Library to refactor python code through AST manipulation.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/*

%changelog
* Fri Nov 18 2022 Balint Cristian <cristian.balint@gmail.com>
- github upstream releases
